import { RestApiRequestHandler, RestApiRoute, RestPathParams, RestQueryParams, RestRequestBody, RestResponseBody } from './types';
import { APIGatewayProxyEvent, APIGatewayProxyResult } from 'aws-lambda';
export declare class RestApi {
    private routes;
    addRouteHandler<PathParams extends RestPathParams, QueryParams extends RestQueryParams, RequestBody extends RestRequestBody, ResponseBody extends RestResponseBody>(route: RestApiRoute<PathParams, QueryParams, RequestBody, ResponseBody>, requestHandler: RestApiRequestHandler<PathParams, QueryParams, RequestBody, ResponseBody>): this;
    handleRequest(request: APIGatewayProxyEvent): Promise<APIGatewayProxyResult>;
    private getMatchingRouteHandlers;
    private getMatchingRouteHandler;
    private extractPathParams;
    private extractQueryParams;
}
