import { RestPathParams } from './RestRequestParams';
import { RestRequestBody } from './RestRequestBody';
import { RestResponseBody } from './RestResponseBody';
import { RestQueryParams } from './RestQueryParams';
export type RestApiRequestHandler<PathParams extends RestPathParams, QueryParams extends RestQueryParams, RequestBody extends RestRequestBody, ResponseBody extends RestResponseBody> = (pathParams: PathParams, queryParams: QueryParams, body?: RequestBody | null) => Promise<ApiRouteResponse<ResponseBody>>;
export interface ApiRouteResponse<ResponseBody> {
    status: number;
    headers?: Record<string, string>;
    body?: ResponseBody;
}
