import { RestPathParams } from './RestRequestParams';
import { RestRequestBody } from './RestRequestBody';
import { RestResponseBody } from './RestResponseBody';
import { RestQueryParams } from './RestQueryParams';
export type RestHttpMethod = 'GET' | 'POST' | 'DELETE' | 'PATCH' | 'PUT' | 'OPTIONS';
export type RestRoutePath = `/${string}`;
export interface RestApiRoute<PathParams extends RestPathParams, QueryParams extends RestQueryParams, RequestBody extends RestRequestBody, ResponseBody extends RestResponseBody> {
    method: RestHttpMethod;
    path: RestRoutePath;
    buildUrl: (pathParams: PathParams, queryParams: QueryParams) => RestRoutePath;
}
